{% extends "base.html" %}
{% block title %}Detalle TFG{% endblock %}
{% block body %}
    {{ super() }}
    <form action = "" method = "post">
        <div class="form-row">
            <div class="form-group col-md-8">
                <label>Título</label>
                <input type="text" class="form-control" value = "{{ tfg.titulo }}" readonly>
            </div>
            <div class="form-group col-md-2">
                <label>Código</label>
                <input type="text" class="form-control" value = "{{ tfg.codigo }}" readonly>
            </div>
        </div>      

        <div class="form-group">
            <label>Descripción</label>
            <textarea class="form-control" rows="7" readonly>{{ tfg.descripcion }}</textarea>
            <!-- <input type="text" class="form-control" id="descripcion" placeholder="{{ tfg.descripcion }}"> -->
        </div>

        
        <div class="form-row">
            <div class="form-group col-md-4">
                <label>Tutor</label>
                <input type="text" class="form-control" value ="{{ tutor.getNombreCompleto() }}" readonly>
            </div>
            <div class="form-group col-md-4">
                <label>Email</label>
                <input type="text" class="form-control" value = "{{ tutor.email }}" readonly>
            </div>            
        </div>

        <!-- # TODO: Mostar el nombre del estudiante cuando lo visualiza el tutor o ponente -->
        {% if ponente %}
        <div class="form-row">
            <div class="form-group col-md-4">
                <label>Ponente</label>
                <input type="text" class="form-control" value="{{ ponente.getNombreCompleto() }}" readonly>
            </div>
            <div class="form-group col-md-4">
                <label>Email</label>
                <input type="text" class="form-control" value = "{{ ponente.email }}" readonly>
            </div>
        </div>
        {% endif %}

        <!-- Si está asignado, mostramos también el estudiante -->
        {% if tfg.estado == 1 %}
        <div class="form-row">
            <div class="form-group col-md-4">
                <label>Estudiante</label>
                <input type="text" class="form-control" value ="{{ estudiante.getNombreCompleto() }}" readonly>
            </div>
            <div class="form-group col-md-4">
                <label>Email</label>
                <input type="text" class="form-control" value = "{{ estudiante.email }}" readonly>
            </div>
        </div>
        {% endif %}

        <div class="form-row">
            <div class="form-group col-md-2">
                <label>Estado</label>
                <input type="text" class="form-control" value="{{ estadoString }}" readonly>
            </div>

            <div class="form-group col-md-2">
                <label>Fecha de proposición (YY/MM/DD)</label>
                <input type="text" class="form-control" value = "{{ tfg.fecha_creacion }}" readonly>
            </div>
            {% if tfg.estado == 1 %}
            <div class="form-group col-md-2">
                <label>Fecha de asignación (YY/MM/DD)</label>
                <input type="text" class="form-control" value = "{{ tfg.fecha_asignacion }}" readonly>
            </div>
            {% endif %}
            </div>
            <!-- Si está asignado, mostramos la fecha de asignación -->
            

            {% if user.esEstudiante() and profesores%}    

            <div class="form-row">
            <div class="form-group col-md-4">
                <label>Presidente</label>
                <br>
                <h5>{{profesores[0]}}</h5>
            </div>

            <div class="form-group col-md-4">
                <label>Titular 1</label>
                <br>
                <h5>{{profesores[1]}}</h5>
            </div>

            <div class="form-group col-md-4">
                <label>Titular 2</label>
                <br>
                <h5>{{profesores[2]}}</h5>
            </div>

            {% endif %}


            {% if tribunal %}

            <div class="form-group col-md-2">
                <label>Nota tutor</label>
                <br>
                <h5>{{tfg.calificacion_tutor}}</h5>
            </div>

            <div class="form-group col-md-2">
                <label>Nota presidente</label>
                <br>
                <h5>{{tribunal.nota_presidente}}</h5>
            </div>

            <div class="form-group col-md-2">
                <label>Nota Titular 1</label>
                <br>
                <h5>{{tribunal.nota_titular_1}}</h5>
            </div>

            <div class="form-group col-md-2">
                <label>Nota Titular 2</label>
                <br>
                <h5>{{tribunal.nota_titular_2}}</h5>
            </div>
            </div>
            {% endif %}

        
                
        <a href="listadoTFG" class="btn btn-primary active" role="button" aria-pressed="true">Volver</a>

        {% if user.esEstudiante() and tfg.estado == 1%}
        <div class="btn-group">
            <a href="solicitudDefensa?tfg_codigo={{ tfg.codigo }}" class="btn btn-primary">Solicitud</a>
        </div>
        {% endif %}
        <!-- Operaciones solo disponibles para el tutor del TFG -->
        {% if user.esTutor(tfg) or user.esPonente(tfg) %}
        <div class="btn-group">
            <!-- Solo mostramos el botón de Asignar si aún no lo está -->
            {% if tfg.estado == tfg.NO_ASIGNADO %}
                <button class="btn btn-success float-right" type="submit" name="asignar">Asignar</button>
            {% endif %}


            {% if tfg.estado == tfg.SOLICITADA_DEFENSA %}
            <button style="margin:5px;" class="btn btn-success float-right" type="submit" name="defender">Informe</button>
            {% endif %}

           

            <!-- <button class="btn btn-success float-right" href="tfgs/modificarTFG?tfg_codigo={{ tfg.codigo }}">Modificar</button> -->
            {% if tfg.estado == tfg.ASIGNADO or tfg.estado == tfg.NO_ASIGNADO%}
            <button style="margin:5px;" class="btn btn-success float-right" type="submit" name="modificar">Modificar</button>
            {% endif %}

            {% if tfg.estado == tfg.ASIGNADO %}
                <button class="btn btn-danger float-right" type="submit" name="desasignar" onclick="return confirm('¿Seguro que deseas desasignar este TFG?');">Desasignar</button>
            {% endif %}
            {% if tfg.estado == tfg.NO_ASIGNADO %}
                <button class="btn btn-danger float-right" type="submit" name="eliminar" onclick="return confirm('¿Seguro que deseas eliminar este TFG?');">Eliminar</button>
            {% endif %}
        </div>
        {% endif %}

        {% if not user.esEstudiante() %}
        {% if califica != None %}
        <div class="btn-group">
         {% if tfg.estado == tfg.DEFENDIDO %}
            <button style="margin:5px;" class="btn btn-success float-right" type="submit" name="calificado">Calificar</button>
         {% endif %}
        </div>
        {% endif %}
        {% endif %}
    </form>
{% endblock %}